Page MenuHomePhabricator

Restrict publishing to main namespace on enwiki for users outside "extendedconfirmed" group
Closed, ResolvedPublic

Description

In T192144, configuration was added to allow restricting certain user groups from publishing to main namespace.

English Wikipedia has Abuse Filter rule to try achieving the same effect of restricting publishing to main namespace to users inside "extendedconfirmed" group.
That restriction should be transfered to enwiki config, now that we have structured way of doing these restrictions. Whether abuse filter rule and message override will be removed is not the scope of this ticket, but would be the desired outcome after configuration change.

Details

Related Gerrit Patches:
operations/mediawiki-config : masterAdd publish restrictions config for enwiki

Event Timeline

Restricted Application added subscribers: jeblad, Danmichaelo, jhsoby. · View Herald TranscriptFeb 27 2019, 11:26 AM
Petar.petkovic renamed this task from Replace Abuse Filter publish restrictions with appropriate configuration to Add configuration to wikis with publish restrictions.Mar 11 2019, 12:30 PM
Petar.petkovic updated the task description. (Show Details)

Change 495677 had a related patch set uploaded (by Petar.petkovic; owner: Petar.petkovic):
[operations/mediawiki-config@master] Add publish restrictions config for enwiki

https://gerrit.wikimedia.org/r/495677

Pginer-WMF triaged this task as Medium priority.Mar 14 2019, 8:18 AM

Change 495677 had a related patch set uploaded (by KartikMistry; owner: Petar.petkovic):
[operations/mediawiki-config@master] Add publish restrictions config for enwiki

https://gerrit.wikimedia.org/r/495677

Arrbee added a subscriber: Arrbee.Apr 17 2019, 7:35 AM

@KartikMistry @Petar.petkovic what are the next steps here? The patch has been open for a while.

@KartikMistry @Petar.petkovic what are the next steps here? The patch has been open for a while.

I have done testing and plan to deploy it on Monday (ie 04/22)

@KartikMistry @Petar.petkovic what are the next steps here? The patch has been open for a while.

I have done testing and plan to deploy it on Monday (ie 04/22)

@KartikMistry has this been deployed?
Users seem to still get confused about why they cannot publish according to this comment.

@KartikMistry @Petar.petkovic what are the next steps here? The patch has been open for a while.

I have done testing and plan to deploy it on Monday (ie 04/22)

@KartikMistry has this been deployed?
Users seem to still get confused about why they cannot publish according to this comment.

Still not deployed

I've applied patch on CX2 Labs instance. So, it blocks all users except are in extendedconfirmed from publishing. By default, new user or existing users are not in that group. Ask me if someone want to test and add themselves into group.

Change 495677 merged by jenkins-bot:
[operations/mediawiki-config@master] Add publish restrictions config for enwiki

https://gerrit.wikimedia.org/r/495677

Mentioned in SAL (#wikimedia-operations) [2019-05-08T11:29:37Z] <kartik@deploy1001> Synchronized wmf-config/InitialiseSettings.php: SWAT [[gerrit:495677|Add publish restrictions config for enwiki]] (T217237) (duration: 00m 58s)

The error is now visible on English Wikipedia:

(and sticking when scrolling)

Petar.petkovic renamed this task from Add configuration to wikis with publish restrictions to Restrict publishing to main namespace on enwiki for users outside "extendedconfirmed" group.May 16 2019, 11:45 PM
Petar.petkovic updated the task description. (Show Details)
Petar.petkovic removed a subscriber: gerritbot.

This ticket's scope was reduced from identifying wikis with publishing restrictions and adding configs for those wiki to only doing it for enwiki. Therefore, I changed the title and description and created T223495 for other wikis.

Pginer-WMF closed this task as Resolved.May 17 2019, 11:17 AM